package graphql

import (
	"context"
	"gshopper.com/gshopify/admin-product/db"
)

// This file will not be regenerated automatically.
//
// It serves as dependency injection for your app, add any dependencies you require here.

type Resolver struct {
	db db.Database
}

func New(ctx context.Context, debug bool) (*Resolver, error) {
	r := Resolver{}

	var err error
	if r.db, err = db.Clickhouse(ctx, debug); err != nil {
		return nil, err
	}

	return &r, nil
}
